        subroutine clall
c
c close all opened files
c a.tento 4/02 v.1.0
c
c unita' logiche controllate fra "numax" e "numin"
c
c
c ............ VARIABILI INTERNE
        logical op
        integer nunit, numax, numin
c
        parameter (numax=50, numin=31)
c
c
        do 1 nunit = numin, numax
        inquire(unit=nunit,opened=op)
        if(op)close(nunit)
1       continue
c
        return
c
c
        end
